<ion-toolbar color="light">
  <ion-buttons slot="secondary">
    <ion-button (click)="userPopover($event)">
      <ion-icon slot="icon-only" name="person-circle"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-buttons slot="primary">
    <ion-button color="primary" (click)="tabActionsPopover($event)">
      <ion-icon slot="icon-only" ios="ellipsis-horizontal" md="ellipsis-vertical" color="dark"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-title>Tractors</ion-title>
</ion-toolbar>
<ion-content [fullscreen]="true">
  <ul id="empty-prompt" *ngIf="tractors.length == 0" class="ion-padding-horizontal">
    <li *ngIf="loading">
      Fetching tractors...
    </li>
    <li *ngIf="!loading">
      <ion-text color="dark">There aren't any tractors to display, perhaps you want to create a tractor?</ion-text><br><br>
      <ion-text color="dark">Click the ellipsis on the top right</ion-text>
    </li>
  </ul>
  <ion-grid>
    <ion-row id="tractors-holder" *ngIf="tractors != undefined && tractors.length > 0">
      <ion-col sizeMd="3" sizeSm="12" class="ion-text-center" *ngFor="let tractor of tractors;">
        <ion-card>
          <ion-icon (click)="optionsPopover($event,tractor)" color="dark" name="ellipsis-vertical-circle-outline"></ion-icon>
          <ion-list>
            <ion-item>
              <ion-label>
                <h1>{{tractor.name}}</h1>
                <p>NAME OF TRACTOR</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h1>{{tractor.owner}}</h1>
                <p>OWNER</p>
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
